### Method

# ICalGLib TimeSpan overlaps

since: 1.0

#### Declaration [src]

    gint
    i_cal_time_span_overlaps (
      ICalTimeSpan* s1,
      ICalTimeSpan* s2
    )

#### Description [src]

Checks whether two spans overlap.

Available since: 1.0

#### Parameters

`s2`

  Type: `ICalTimeSpan`

  The second `ICalTimeSpan`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

Whether these two span are overlapped.